kf6-kwallet (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:18:30 +0100

kf6-kwallet (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:48:46 +0100

kf6-kwallet (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:00 +0100

kf6-kwallet (6.14.1-0ubuntu1) questing; urgency=medium

  * New upstream hotfix release (6.14.1)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 May 2025 08:56:49 +0100

kf6-kwallet (6.14.0-0ubuntu2) questing; urgency=medium

  * Add upstream_do-not-make-clients-hang-if-kwallet-is-disabled.patch
    Fixes slow startup of applications, particularly chromium based.
    KDE Bug: https://bugs.kde.org/504014

 -- Rik Mills <rikmills@kde.org>  Thu, 15 May 2025 18:38:23 +0100

kf6-kwallet (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update blowfish_endianess.diff
  * Update build depends.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:52 +0100

kf6-kwallet (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:55:19 +0000

kf6-kwallet (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:50:31 +0000

kf6-kwallet (6.10.0-0ubuntu2) plucky; urgency=medium

  * Re-enable build with gpgme now that is not blocking in proposed.
    (LP: #2094825)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jan 2025 20:31:56 +0000

kf6-kwallet (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:48 +0000

kf6-kwallet (6.9.0-0ubuntu4) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2025 08:34:07 +0000

kf6-kwallet (6.9.0-0ubuntu3) plucky; urgency=medium

  * Build without gpgme (again).
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2025 05:23:22 +0000

kf6-kwallet (6.9.0-0ubuntu2) plucky; urgency=medium

  * Sync changes from 6.8.0-2

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jan 2025 13:15:43 +0000

kf6-kwallet (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:49:30 +0000

kf6-kwallet (6.8.0-0ubuntu4) plucky; urgency=medium

  * Build with gpgme again.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 01:01:03 +0000

kf6-kwallet (6.8.0-0ubuntu3) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 16:55:52 +0000

kf6-kwallet (6.8.0-0ubuntu2) plucky; urgency=medium

  * Build without gpg until gpgme1.0 is migrateable.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 15:29:55 +0000

kf6-kwallet (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:05 +0000

kf6-kwallet (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - New build dependency kcrash.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:44:49 +0100

kf6-kwallet (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:08:15 +0100

kf6-kwallet (6.5.0-0ubuntu2) oracular; urgency=medium

  * Bring in changes from debian with Breaks/Replaces on
    libpam-kwallet5.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Aug 2024 04:18:12 -0700

kf6-kwallet (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:56 +0100

kf6-kwallet (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update include path for acc autopkgtest /usr/include/KF5/KWallet/ ->
    /usr/include/KF6/KWallet/
  * Add build depend on libgpgmepp-dev (>= 1.7.0~)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:13 +0100

kf6-kwallet (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Fix link to libKF6WalletBackend.so.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:58:53 +0200

kf6-kwallet (6.0.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libkf6wallet-bin to kwallet6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 May 2024 18:51:33 +0200

kf6-kwallet (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2024 07:44:09 +0200

kf6-kwallet (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.

  [ Aurélien COUDERC ]
  * Build against Qt6.
  * Add breaks/replaces against libkf5wallet-bin containing the KF5 version of
    the daemon.
  * Improve package descriptions.
  * Review copyright information.
  * Migrate debian/watch to version 4.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 08 May 2024 22:13:20 +0200

kwallet-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015465).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:48 +0100

kwallet-kf5 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:42 +0200

kwallet-kf5 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:00 +0100

kwallet-kf5 (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

kwallet-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:08 +0100

kwallet-kf5 (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:33 +0100

kwallet-kf5 (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0). (Closes: #1018909)
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

kwallet-kf5 (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0). (Closes: #1012529)
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:47 +0200

kwallet-kf5 (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0). (Closes: #910782)
  * Add build dependency to libqca-qt5-2-plugins for unit tests.
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:38 +0200

kwallet-kf5 (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

kwallet-kf5 (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kwallet-kf5 (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kwallet-kf5 (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update list of installed files.
  * Add lintian override for libkf5wallet5 recommending libkf5wallet-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kwallet-kf5 (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

kwallet-kf5 (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:01:30 +0900

kwallet-kf5 (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

kwallet-kf5 (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:06 +0900

kwallet-kf5 (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:10 +0900

kwallet-kf5 (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:25:13 +0900

kwallet-kf5 (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:20:57 +0900

kwallet-kf5 (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

kwallet-kf5 (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Update patch.
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

kwallet-kf5 (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

kwallet-kf5 (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

kwallet-kf5 (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

kwallet-kf5 (5.77.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused Build-Depends. (Closes: #979453)

 -- Norbert Preining <norbert@preining.info>  Thu, 07 Jan 2021 09:24:56 +0900

kwallet-kf5 (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

kwallet-kf5 (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Remove dh_missing override, we want to fail on missing files.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

kwallet-kf5 (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:09 +0200

kwallet-kf5 (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update blowfish_endianess.diff.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:54 +0200

kwallet-kf5 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:38 +0200

kwallet-kf5 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:09 +0200

kwallet-kf5 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:13 -0700

kwallet-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 929980).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files
  * update .install

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:59 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf6wallet6`.
